com.ihr.xbrl.store

## Class StorageEvent

- java.lang.Object
- - com.ihr.xbrl.store.StorageEvent

-     public class StorageEvent
      extends java.lang.Object

  The Class StorageEvent.
  Author:
    Ignacio

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `EXCEPTION` The storage event contains an exception.
    `static int` | `OK` Storage successful.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StorageEvent(StoreXBRLThread thread, int status, java.lang.Exception e)` Instantiates a new storage event.
    `StorageEvent(StoreXBRLThread thread, int status, XBRLInstance pojoInstance, XBRLInstance regularInstance, DTSContainer pojoContainer, DTSContainer regularContainer, java.lang.String message)` Creates an StorageEvent object to be sent to parent applications.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Exception` | `getException()` Gets the exception.
    `java.lang.String` | `getMessage()` Gets the message.
    `DTSContainer` | `getPojoContainer()` Gets the pojo container.
    `XBRLInstance` | `getPojoInstance()` Gets the pojo instance.
    `DTSContainer` | `getRegularContainer()` Gets the regular container.
    `XBRLInstance` | `getRegularInstance()` Gets the regular instance.
    `int` | `getStatus()` Possible values are `OK` or `EXCEPTION`.
    `StoreXBRLThread` | `getThread()` Gets the thread.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### OK

          public static final int OK

      Storage successful.
      See Also:
        Constant Field Values

    - #### EXCEPTION

          public static final int EXCEPTION

      The storage event contains an exception.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StorageEvent

          public StorageEvent(StoreXBRLThread thread,
                      int status,
                      XBRLInstance pojoInstance,
                      XBRLInstance regularInstance,
                      DTSContainer pojoContainer,
                      DTSContainer regularContainer,
                      java.lang.String message)

      Creates an StorageEvent object to be sent to parent applications.
      Parameters:
        `thread` - the thread who is sending the event
        `status` - this is `OK` or `EXCEPTION`
        `pojoInstance` - This is the POJO object model instance document
        `regularInstance` - This is the RS object model instance document
        `pojoContainer` - This is the POJO object model DTSContainer
        `regularContainer` - This is the RS object model DTSContainer
        `message` - This is an error message string in case of any exist

    - #### StorageEvent

          public StorageEvent(StoreXBRLThread thread,
                      int status,
                      java.lang.Exception e)

      Instantiates a new storage event.
      Parameters:
        `thread` - the thread
        `status` - integer
        `e` - Exception

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getPojoInstance

          public XBRLInstance getPojoInstance()

      Gets the pojo instance.
      Returns:
        the instance

    - #### getPojoContainer

          public DTSContainer getPojoContainer()

      Gets the pojo container.
      Returns:
        the dts

    - #### getMessage

          public java.lang.String getMessage()

      Gets the message.
      Returns:
        the error message if any

    - #### getRegularInstance

          public XBRLInstance getRegularInstance()

      Gets the regular instance.
      Returns:
        the regularInstance

    - #### getRegularContainer

          public DTSContainer getRegularContainer()

      Gets the regular container.
      Returns:
        the regularContainer

    - #### getStatus

          public int getStatus()

      Possible values are `OK` or `EXCEPTION`.
      Returns:
        the status see `StorageService` for more information

    - #### getException

          public java.lang.Exception getException()

      Gets the exception.
      Returns:
        the exception error generated during the storage process

    - #### getThread

          public StoreXBRLThread getThread()

      Gets the thread.
      Returns:
        the thread